Net::LDNS::RR::DS(3pm)

NAME
Net::LDNS::RR::DS - Type DS record

DESCRIPTION
A subclass of Net::LDNS::RR, so it has all the methods of that class available in addition to the ones documented here.

METHODS

keytag()
    Returns the keytag value.

digtype()
    Returns the numeric digest type.

algorithm()
    Returns the algorithm number.

digest()
    Returns the cryptographic digest in binary form.

hexdigest()
    Returns the cryptographic digest as a hexadecimal string.

verify($other)
    Checks if the current object is derived from the other object (if it's a DNSKEY) or was derived from the same DNSKEY as the other object (if it's a DS). If used with any other type of RR, it always returns false.